summaryrefslogtreecommitdiffstats
path: root/source/xap/xpdf/xpdf.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/xpdf/xpdf.SlackBuild')
-rwxr-xr-xsource/xap/xpdf/xpdf.SlackBuild7
1 files changed, 4 insertions, 3 deletions
diff --git a/source/xap/xpdf/xpdf.SlackBuild b/source/xap/xpdf/xpdf.SlackBuild
index b19b3aca7..6093f21d8 100755
--- a/source/xap/xpdf/xpdf.SlackBuild
+++ b/source/xap/xpdf/xpdf.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
VERSION=3.02
PATCHLEVEL=pl6
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -78,6 +78,7 @@ cat $CWD/patches/xpdf-3.02pl4.patch | patch -p1 --verbose || exit 1
cat $CWD/patches/xpdf-3.02pl5.patch | patch -p1 --verbose || exit 1
zcat $CWD/patches/xpdf_3.02-1.3.diff.gz | patch -p1 --verbose || exit 1
zcat $CWD/patches/xpdfrc.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/patches/03-float.patch.gz | patch -p1 --verbose || exit 1
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -89,7 +90,7 @@ CXXFLAGS="$SLKCFLAGS" \
--with-gzip \
--with-freetype2-includes=/usr/include/freetype2 \
--without-t1-library \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1